export default {
	state: () => ({
		information:{},
		phoneformation:false
	}),
	mutations: {
		information(state, msg) {
			uni.setStorageSync("information", msg);
			state.information = msg;
		},
		upDatephoneformation(state, msg) {
			uni.setStorageSync("phoneformation", msg);
			state.phoneformation = msg;
		}
		// upDateToken(state, val) {
		// 	state.role = val;
		// },
	},
	actions: {
		upDateInformation({commit}, data) {
			commit("information", data);
		},
		phoneformation({commit}, data) {
			commit("upDatephoneformation", data);
		},
		// upDate({
		// 	commit
		// }, data) {
		// 	commit("upDateToken", data);
		// },
	}
}
